LinHES - Bug # 189: Missing /var/log/mythtv

Status: Closed Priority: Normal

Author: mijl Category:

Created: 02/15/2009 Assignee: jams

Updated: 11/10/2011 Due date: 12/31/1969

Description: Feb 15 23:01:12 LH-6 mythbackend: cannot open logfile /var/log/mythtv/mythbackend.log
Feb 15 23:01:12 LH-6 mythbackend: cannot open logfile; using stdout/stderr

History

02/16/2009 01:29 pm - tjic

Have you checked the existence and ownership of the log file and directory? We've had a bunch of files and directories getting created by apps running
as root the first time and not being writeable by the mythtv user after that. Try this and report the results here:

<code>

Is -al /var/log/mythtv

</code>

OBTW - Did you mean to report this on 6.00.06 rather than 6.00.03?

02/16/2009 07:54 pm - mjl

Hi,

Yes, | simply forgot to check the .06 in the pulldown :( Unfortunetly | don't know how to correct it either.

I can do a Is -al /var/log/mythtv all day long, it didn't exist. | have not chased who is suppose to own it. Was distracted by the unknown, undesired ip
trying to sneak a home.

I simply reported the errors that | crossed paths with while looking for another issue.

But thanks for the tips, | will try to dig those up to get the proper settings.

Mike

02/16/2009 11:28 pm - tjc

Doesn't exist sounds like the smoking gun. It may be time to reinstitute something like the directory creation and permissions script from R5. I've got a
notion for a fairly slick way to do it.

02/17/2009 12:02 am - mjl

Thanks Tom,

| did a mkdir to add it but don't know who should own it. Have not checked to see if anything has gone in there as root. Checking .05 shows mythtv as
owner so will change it to be mythtv.

Sadly, most of my limited time has been digging to try to figure out where the bogus ip comes from. It even assigns an ip without a net cable connected
and that is something | don't like. This is something new that was not in .05.

Overall, .06 is looking nice but the ip is a show stopper for me as | won't put it on my network with that piggy back garbage.

Mike
11/10/2011 02:08 pm - brfransen
- Target version set to 7.1

07/12/2025 22



